
*{
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    outline: none;
}

h5,
h4,
h3,
h2,
h1,
p,
div{
    cursor: default;
}

.card-text h5,
.card-text p,
.card-text rawupdate,
textarea,
[contenteditable="true"],
input{
    -webkit-user-select: text !important;
    -khtml-user-select: text !important;
    -moz-user-select: text !important;
    -ms-user-select: text !important;
    user-select: text !important;
    cursor: text  !important;
}

*{
    -webkit-user-drag: none;
    -moz-user-drag: none;
    -ms-user-drag: none;
    user-drag: none;
}

.pact{
    width: 120px;
    _margin: auto 0 10px 30px;
    background: none !important
}

home{
    padding: 0;
    display: block;
}

.mdl-selectfield__box .mdl-selectfield__box-value {
    text-overflow: ellipsis;
}

.mdl-layout__header-row{
    pointer-events: none;
}

html {
    overflow: hidden !important;
    max-height: 100vh;    
}

body{
    background: whitesmoke;



}

.app-layout{

    /*padding-top: 100px;*/
    /*padding-top: 100px;*/
    /*box-sizing: border-box;*/
    overflow: hidden !important;
    padding-top: constant(safe-area-inset-top); /* iOS 11.0 */
    padding-top: env(safe-area-inset-top); /* iOS 11.2 */
    max-height: 100vh;
    box-sizing: border-box;
}


.mdl-layout__drawer{
    padding-top: constant(safe-area-inset-bottom);
    padding-top: env(safe-area-inset-bottom);*/
}

.modal-button{
    /*padding-left: : env(safe-area-inset-left) !important;    */
}

.mdl-layout__content{
/*    padding-left: constant(safe-area-inset-left);
    padding-right: constant(safe-area-inset-right);
    padding-bottom: constant(safe-area-inset-bottom);
    padding-left: env(safe-area-inset-left);
    padding-right: env(safe-area-inset-right);
    padding-bottom: env(safe-area-inset-bottom);*/
    transform: translateZ(0);
}



.mdl-layout__content section:not(:last-of-type) {
    position: relative;
    margin-bottom: 28px;
}
section.section--center {
    max-width: 860px;
}

section .mdl-card__supporting-text h4 {
    margin-top: 0;
    margin-bottom: 20px; 
}

section .mdl-card__supporting-text + .mdl-card__actions {
    border-top: 1px solid rgba(0, 0, 0, 0.12)
}

.card-header .mdl-textfield--expandable {
    max-width: 69%;
}
.card-header .mdl-textfield--expandable .mdl-button--icon{
    top: 0;
}

.mdl-icon-round{
        vertical-align: text-top;
    border: 2px solid #707070d1;
    border-radius: 40px;
    padding: 0.1em;
    margin: -0.1em;
}

.card-filter {
    display: block;
    width: 100%;
}

.card-header h5{
    margin: 12px 10px 12px 12px;
    white-space: nowrap;
}

.card-filter .mdl-list{
    padding: 0;
}

.card-filter .mdl-textfield .mdl-button{
    bottom: auto;
}

.clear_filter_button {
    position: absolute;
    right: 0;
    opacity: 0.5;
    z-index: 2;
    outline: none;
}

.illegal {
    color: #bb4e4e;
    padding: 14px;
    background: #ffecec;
}


.card-header .mdl-textfield {
    padding: 0px;
    margin-top: 5px;
    float: right;
    margin-right: 0px;
    padding-top: 4px;
}


.card-filter-settings {
    float: right;
    margin: 5px 5px 0 -3px; 
}

.mdl-textfield__input{
    outline:none;
}
.card-filter .material-icons{
    outline: none;
}

.card-filter-options {
    position: absolute;
    right: 0;
    top: 45px;
    padding: 10px;
    width: 90%;
    max-width: 300px;
    box-sizing: border-box;
    z-index: 100;
    display: none;
}

.card-filter-options.is-active{
    display: block;
}

.card-filter-slider {
        position: relative;
        display: inline-block;
        box-sizing: border-box;
        width: 300px;
        max-width: 108%;
        margin: 0;
        vertical-align: middle;
        line-height: 20px;
        font-size: 16px;
        padding: 15px 0;
        margin-right: -10px;
}

.card-filter-slider__group{
    text-align: center;
    display: inline-block;
    min-width: 20px;
}
.card-filter-slider__label{
        color: rgba(0,0,0, 0.26);
        vertical-align: middle;
        bottom: 0;
        font-size: 16px;
        left: 0;
        right: 0;
        pointer-events: none;
        position: absolute;
        display: block;
        top: 14px;
        width: 100%;
        overflow: hidden;
        white-space: nowrap;
}


.card-filter-disciplines{
    /* background: #EEE; */
    font-size: 36px;
    top: 47px;
    outline: none !important; 
    /*padding: 6px 6px 0px 6px;*/
}

.card-filter-disciplines .icon-wrapper {
    display: flex;
    gap: 5px;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    justify-items: center;
    padding: 4px;   
}

.card-filter-disciplines icon{
    font-size: 1.08em;
    flex-grow:0;
}

.card-filter-disciplines icon:before,
.card-filter-disciplines icon:after{    
    transform: scale(0.9);
    top: 0.2em;}

/*
.card-filter-disciplines icon.sup:before,
.card-filter-disciplines icon.sup:after{top: 0.15em;left: 0;}
*/

.card-filter-disciplines icon:after{
    color: #CCC;    
}

.card-filter-disciplines icon:before{
    text-shadow: 0 2px 2px rgba(0,0,0,0.1);
}
.card-filter-disciplines icon.inf:before,
.card-filter-disciplines icon.sup:before{
    text-shadow: 0 2px 4px rgba(0,0,0,0.5);
}

.card-filter-disciplines icon.inf:after,
.card-filter-disciplines icon.sup:after{
    color: #000;    
}



.card-filter-slider .mdl-slider__container{
      margin-top: -3px;
}

.picker-list .mdl-list__item,
.card-filter .mdl-list__item {
    padding: 0 10px;
    border-bottom: 1px solid #EEE;
}


.compact .deck-header {
    padding: 0 10px;
}
.compact .deck-header h4 {
    padding-left: 6px;
    margin: 0;
    font-size: 17px;
}

.compact .picker-list .mdl-list__item,
.compact .card-filter .mdl-list__item {
    min-height: 33px;
    font-size: 13px;
}
.compact .deck-crypt .mdl-list__item, 
.compact crypt-cards .mdl-list__item {
    min-height: 48px;
}


.card-filter-buttons{
    
    padding: 8px 0 0 0;
    border-top: 1px solid #e1e1e1;
    margin-top: 10px;

}

.deck-crypt .mdl-list__item,
crypt-cards .mdl-list__item {
    min-height: 60px;
}


.picker-list .mdl-list__item:first-child{
    /* border-top: 1px solid #EEE; */
}
.picker-list .mdl-list__item:last-child{
    border-bottom: none;
}

.picker-list .picker-total {
    min-width: 20px; 
    display: inline-block;
    text-align: center;
}
.picker-list .mdl-list__item .mdl-list__item-primary-content > div {
    width: 100%;
}

.picker-list .clan-name{
    color: #ccc;
    font-size: 70%;
}

.picker-list .mdl-list__item-secondary-content{
    font-size: 70%;
    color: #CCC;
    text-align: right;
    line-height: 1.5;
    margin-top: 4px;
    padding-right: 10px;
}

.crypt-details {
    color: #CCC;
    display: block;
    padding-top: 0.3em;
    width: 100%;
}

.crypt-details icon{
    font-size: 150%;
    vertical-align: middle;
    color: #666;    
}

.crypt-details .clan{
    float: right;
    margin-top: -3px;
    margin-right: 8px;
    font-size: 90%;
}

.modal-button{
    display: none;
    /* background: #ededed; */
    background: #000000 !important;
    width: 100%;
    border: none;
    border-radius: 0;
    margin-top: 0;
    position: relative;
    height: 50px;
    color: #999;
    text-align: left; 
        padding-left: 25px;
}

.modal-button .material-icons{
    margin: -12px 4px -12px -12px;
    display: block;
    top: 0;
}


.poolcost,
.bloodcost{
    font-size: 15px;
    width: 24px;
    height: 24px;    
    line-height: 24px;
    text-align: center;
    vertical-align: middle;
    border-radius: 32px;
    display: inline-block;
    overflow: hidden;
    margin-top: -3px;

}


.poolcost{
   border: 1px solid #000;
}


.bloodcost{
    background: #C00;
    color: white;
}

@media only screen and (max-width: 479px) {
    .modal-button{
        display: block;
    }

    .crypt-details .clan {
        margin-top: 4px;
    }

    .deck-crypt .mdl-list__item,
    crypt-cards .mdl-list__item{
       padding: 8px 10px !important;        
    }

    .card-filter .mdl-textfield--expandable {
        max-width: 63%;
    }

    .notsm{
        display: none;
    }

    .card-image{
        min-height: 480px;
    }

    .card-filter-buttons{
        padding-bottom: 0;
        border: none;
        margin:0; 

    }

    deck {
        padding-top: 14px !important;
    }

    deck .mdl-textfield{
        width: 100%;
        margin-bottom: 0 !important;
        margin-top: 0 !important;
    }


}

@media only screen and (max-height: 600px) {
    .card-filter-slider {
        padding: 5px 0;
        line-height: 14px;
        /*background: red;*/
        margin-bottom: 4px;
        margin-top: -3px;
    }
    .card-filter-slider__label {
        top: 3px;
    }
    .mdl-selectfield{
        margin-top: -20px;
        margin-bottom: -2px;
    }
}


.crypt-details .capacity{
    color: white;
    background: #e2bebe;
    background: #b86d6d;
    border-radius: 36px;
    padding: 0;
    font-size: 90%;
    letter-spacing: 0;
    min-width: 13px;
    display: inline-block;
    box-sizing: border-box;
    height: 14px;
    text-align: center;
}

.crypt-details .capacity{
    width: 1.4em;
    height: 1.4em;
    vertical-align: top;
    line-height: 1.45em;
    margin-top: 0.1em;
    font-size: 0.9em;
    overflow: hidden;
    padding-top: 0.05em;
}

.mdl-list__item.Imbued .crypt-details .capacity {
     background: #9cdabf;
}


.picker-list .crypt-details .group{
    color: white;
    background: #dedede;
    border-radius: 30px;
    padding: 0px 2px;
    font-size: 90%;
    letter-spacing: 0;
    min-width: 13px;
    display: inline-block;
    box-sizing: border-box;
    height: 14px;
    text-align: center;
}


.picker-list .mdl-list__item-secondary-action {
    color: #CCC;
}
.picker-type{
    background: #bababa;
    color: #c6c6c6;
    font-size: 90%;
    /*margin-left: -5px;*/
    text-indent: 15px;
    /* border-top: 1px solid #CCC; */
    text-transform: uppercase;
    text-shadow: 0 1px 2px rgba(0,0,0,0.3);
    /* color: #CCC; */
    Text-shadow: none;
    padding-top: 10px;
    background: rgba(247,247,247,1);
    background: -moz-linear-gradient(top, rgba(247,247,247,1) 0%, rgba(255,255,255,0) 100%);
    background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(247,247,247,0)), color-stop(100%, rgba(255,255,255,1)));
    background: -webkit-linear-gradient(top, rgba(247,247,247,1) 0%, rgba(255,255,255,0) 100%);
    background: -o-linear-gradient(top, rgba(247,247,247,1) 0%, rgba(255,255,255,0) 100%);
    background: -ms-linear-gradient(top, rgba(247,247,247,1) 0%, rgba(255,255,255,0) 100%);
    margin-left: -5px;
}

.deck-version__version {
    text-transform: none;
    flex-wrap: wrap;
    height: auto;
}

.deck-version__version small{
    display: block;
    font-size: 11px;
    margin-top: 2px;
    width: 100%;

}
.deck-version__version .mdl-list__item-primary-content{
    text-align: left;
    flex-wrap: wrap;
}

.picker-type:first-child{
    border-top: 1px solid #EEE;
}

.picker-type:last-child{
    padding-bottom: 10px;
}

draw-cards .picker-type {
    margin-left: 0;
    text-indent: 10px;
}
.redraw-button{
    margin-top: -7px;
    margin-bottom: -5px;
    margin-right: -3px;
}


.draw-button{
    display: block;
    margin: 10px;
    width: 93.5%;
    box-sizing: border-box;
}

.deck-library{
    _min-height: 200px;
}

.deck-buttons button {
    width: 100%;
    margin-bottom: 10px;
}



.deck-header{
    padding: 10px;
}

.deck-header h4{
    height: 42px;
    line-height: 42px !important;
    padding-left: 4px;
    margin: 0;
}

.storyline_title{
    margin:0; 
}

.picker-list.mdl-list {
    padding: 0px 0 0 5px;
}

deck .mdl-list__item {
    padding: 10px;
}

deck .mdl-textfield{
    width: 100%;
    margin-bottom: -10px;
    margin-top: -10px;
}

deck textarea.mdl-textfield{
    overflow: hidden;
}

deck p.description{
    margin: 9px 0 0 0;
    font-size: 90%;
    line-height: 200%;

    color: #666;
    font-weight: 400;
    display: block;
}

deck p.description a.mdl-button{
    padding: 0;
    height: 24px;
    line-height: 15px;
  margin-top: -2px;
    font-size: 90%;
}

deck p.description a.mdl-button i{
    margin-top: -2px;
}

.readmore{
    max-height: 90px;
    position: relative;
    overflow: hidden;
    transition-duration: 0.2s;
    transition-timing-function: cubic-bezier(.4,0,.2,1);
    transition-property: max-height;
}
.readmore > div {
    max-width: 700px;
}
storyline .readmore{
    max-height: 98px;
}

.readmore--expanded{
    max-height: 2000px !important;
}
.readmore--expanded .more-button{
    display: none !important;

}

.more-button{
    position: absolute;
    bottom: 0px;
    width: 100%;    
    text-align: right;
    height: 32px;
    display: none;
    background: -moz-linear-gradient(top, rgba(245,245,245,0) 0%, rgba(245,245,245,1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, rgba(245,245,245,0) 0%,rgba(245,245,245,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, rgba(245,245,245,0) 0%,rgba(245,245,245,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}

.readmore .more-button{
    display: inline-block;
}

.more-button:hover{
    background-color: inherit;
}
.more-button__span{
    background: rgba(245,245,245,1);
    border-radius: 3px;
    display: inline-block;
    padding: 0 8px;
    margin-right: -15px;
}

.deck-crypt{
    min-height: 200px;
}


.deck-button{
    float: right;
}


.card-image{
    background: black;
    text-align: left;
    _height: 410px;
}

.card-image img {
    max-width: 100%;
    _max-height: 410px;

}

.image-holder{
    background: black;
    min-height: 402px;
    color: white;
    display: block;
    width: 100%;
    padding-top: 190px;
    text-align: center;
    box-sizing: border-box;
}

.card-detail{
    padding: 0;
    position: relative;
}

.card-text{
    padding-left: 14px;
    padding-right: 14px;
    padding-bottom: 14px;
}

.card-text p {
    margin-bottom: 0;
}

.card-text icon{
     white-space: normal;
    line-height: 100%;
    font-size: 160%;
    vertical-align: top; 
}

.card-text icon.D{
    font-size: 140%;
    vertical-align: text-top;
    margin-right: 3px;
}
.card-text .FLIGHT{
    margin-right: 0.2em;
}



.card-text hr{
    margin: 10px 0;
    border-top: 1px dotted #CCC;
}
.card-text hr:first-child{
    display: none;
}

.card-text icon.big{
    font-size: 210%;
    vertical-align: middle;
    margin-bottom: -9px;
    margin-top: -12px;
}

.card-text .big.MERGED{
    margin-top: -0.7em !important;
}

.card-text .assamite{
    width: 1.7em;
}

.card-text .clan icon{
    float: right;
    margin-top: 5px;
    font-size: 240%;
}

.card-text icon:before{text-shadow: 0 2px 3px rgba(0,0,0,0.3)}

.card-buttons{
    _position: absolute;
    _bottom: 0;
    _right: 0;
    _left: 0;
    display: block;
    background: rgba(236, 236, 236, 0.94);
    text-align: center;
    padding: 8px;
    /*margin-left: -14px;*/
    min-height: 42px;
    z-index: 20;
}

@media only screen and (min-width : 360px) {
    .card-filter-disciplines{
        padding: 6px 6px 0px 6px;
    }
}

/* Small Devices, Tablets */
@media only screen and (min-width : 768px) {
    .card-detail {
        min-height: 416px;
    }

    .card-buttons {
        position: absolute;
        bottom: 0;
        right: 0;
        left: 0;
        margin: 0;
    }

    deck p.description{
       padding-right: 10%; 
    }
    .card-text{
        _max-height: 412px;
        _max-height: 362px;
        max-height: 545px;
        padding-right: 14px;
        overflow-y: auto;
        padding-bottom: 70px;
        box-sizing: border-box; 
        -webkit-overflow-scrolling: touch;

    }
    .btn-done {
        display: none;
    }
 
}

.banned {
    color: #ca6969;
    font-size: 80%;
    text-transform: uppercase;
    display: inline-block;
    vertical-align: text-top;    
}

.card-prev {
    float: left;
    margin-right: -50px;
}

.card-qty {
    display: inline-block;
    color: rgba(0,0,0,0.2);
    margin-top: 4px;
    margin-bottom: 5px;         
}

.card-next {
    float: right;
    margin-left: -50px;
}

.card-header {
    transition-duration: .2s;
    transition-timing-function: cubic-bezier(.4,0,.2,1);
    box-shadow: 0 2px 3px 0 rgba(0,0,0,.1),0 3px 1px -2px rgba(0,0,0,.14),0 1px 7px 0 rgba(0,0,0,.10);
    transition-property: max-height,box-shadow;
    position: relative;
    z-index: 101

}

.card-content{
    display: block;
    width: 100%;
    -ms-flex: 0 1 auto;
    position: relative;
    display: inline-block;
    overflow-y: auto;
    overflow-x: hidden;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    z-index: 1;
    -webkit-overflow-scrolling: touch;
    max-height: 90vh;
    max-height: calc(100vh - 113px);
    box-sizing: border-box;
}

.mdl-layout__content::-webkit-scrollbar,
.modal::-webkit-scrollbar,
.card-content::-webkit-scrollbar {
    display: none;
      -webkit-appearance: none;
}   

.card-content .mdl-list__item-primary-content > span{
    display: block;
    width: 100%;
}
.modal .card-content{
    max-height: 80vh;
}


decks .mdl-card__title-text .mdl-button{
    float: right;
    right: 0;
    top:-3px;
    margin-bottom: -10px;
}

decks {
    display: block;
    _min-height: 200px; 
    _position: relative;
    _margin-bottom: 76px;
    transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0,0,0);
}

decks .card-content{
    padding-bottom: 76px;

}

.decks-new-button{
    z-index: 1
}

[contenteditable]:focus{
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.2);
    border-radius: 3px;
    outline: none;
}


.happyfamilies span[contenteditable]{
    min-width: 0.5em;
    display: inline-block;
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.2);
    padding: 0 4px;
    border-radius: 3px;
    background: #fafafa;
    color: #444;
    outline: none;
}

.decks__searchbox{
     position: absolute;
    right: 10px;
    float: right;
    top: -2px;
    background: white;
    overflow: hidden;
    max-height: 60px;
    z-index: 1;
}

decks .mdl-list {
    padding: 0;
}

decks .mdl-card__title-text {
    padding: 16px 24px 16px 16px;
    width: 100%;
    display: block;
    float: left;
    overflow: visible;
    box-sizing: border-box;
    margin:0;
}

decks .decks-new-button {
    bottom: 10px;
    right: 10px; 
    position: fixed !important;
    color: white !important;
}

decks .mdl-list__item{
    border-top:  1px dotted #CCC;
}

decks .mdl-list__item-secondary-content{
    color: #CCC;
    font-size: 80%;
}

twda .mdl-list__item {
    border-top: 1px dotted #CCC;
}

.happyfamilies {
    font-size: 80%;
        border: none;
    margin-left: -3px
}
.happyfamilies th{
    font-weight: normal;
    color: rgba(81, 81, 81, 0.54);
    padding: 0 12px 12px 12px
}
.happyfamilies td:first-of-type, .mdl-data-table th:first-of-type {
    padding-left: 13px;
}

.happyfamilies tbody tr{
    height: auto;
}
.happyfamilies td{
    padding: 8px 12px;
    height: auto;
    border-top: 1px solid rgba(145, 140, 140, 0.12);
    border-bottom: 1px solid rgba(145, 145, 145, 0.12);    
}

.happyfamilies icon {
    font-size: 160%;
    vertical-align: middle;
}

/*/////////////////////////////////////////////////////////////
//
// Search boxes
//
/////////////////////////////////////////////////////////////*/

.mdl-textfield__expandable-holder .mdl-textfield__label{
    display: none;
}

input[type=search]{
    -webkit-appearance: none;
}

::-webkit-search-cancel-button{
    content: 'x';
    background-image: url('/images/clear.png');
    background-size: cover;
    position: absolute;
    color: black;
    position:relative;
    right:0; 
    top: 1px; 
    height: 20px;
    width: 20px;
    border-radius:10px;
    opacity: 0.1; 
   -webkit-appearance: none;
}

/*/////////////////////////////////////////////////////////////
//
// Sharing
//
/////////////////////////////////////////////////////////////*/

.dialog {
    border: none;
    position: absolute;
    left: 0;
    right: 0;
    top:0;
    bottom: 0;
      background: rgba(78, 86, 97, 0.33);
    z-index: 999;
    position: fixed;
}

.dialog__content{

    box-shadow: 0 9px 46px 8px rgba(0, 0, 0, 0.14), 0 11px 15px -7px rgba(0, 0, 0, 0.12), 0 24px 38px 3px rgba(0, 0, 0, 0.2);
    width: -moz-fit-content;
    width: -webkit-fit-content;
    width: fit-content;
    height: -moz-fit-content;
    height: -webkit-fit-content;
    height: fit-content;
    margin: auto;
    padding: 1em;
    background: white;
    color: black;
    border: none;
    border-radius: 3px;
    margin-top: 10%;
    max-width: 287px;
}

.resp-sharing-button__link,
.resp-sharing-button__icon {
  display: inline-block
}

.resp-sharing-button__link {
  text-decoration: none;
  color: #fff;
    margin: 0.5em 0;
    display: block;  
}

.resp-sharing-button {
 border-radius: 2px;
  transition: 25ms ease-out;
  padding: 0.5em 0.75em;
  font-family: Helvetica Neue,Helvetica,Arial,sans-serif
}

.resp-sharing-button__icon svg {
  width: 1em;
  height: 1em;
  margin-right: 0.4em;
  vertical-align: top
}

.resp-sharing-button .material-icons{
    margin-bottom: 10px;
    display: inline-block;
    height: 9px;
    vertical-align: middle;
    margin: 0;
    line-height: inherit;
    font-size: 160%;
    margin-left: -5px;
    margin-top: -12px;
}

.resp-sharing-button--small svg {
  margin: 0;
  vertical-align: middle
}

/* Non solid icons get a stroke */
.resp-sharing-button__icon {
  stroke: #fff;
  fill: none
}

/* Solid icons get a fill */
.resp-sharing-button__icon--solid,
.resp-sharing-button__icon--solidcircle {
  fill: #fff;
  stroke: none
}

.resp-sharing-button--quickstart {
    background-color: #ffd740;
    color: #616161;
}
.resp-sharing-button--twitter {
  background-color: #55acee
}

.resp-sharing-button--twitter:hover {
  background-color: #2795e9
}

.resp-sharing-button--pinterest {
  background-color: #bd081c
}

.resp-sharing-button--pinterest:hover {
  background-color: #8c0615
}

.resp-sharing-button--facebook {
  background-color: #3b5998
}

.resp-sharing-button--facebook:hover {
  background-color: #2d4373
}

.resp-sharing-button--tumblr {
  background-color: #35465C
}

.resp-sharing-button--tumblr:hover {
  background-color: #222d3c
}

.resp-sharing-button--reddit {
  background-color: #5f99cf
}

.resp-sharing-button--reddit:hover {
  background-color: #3a80c1
}

.resp-sharing-button--google {
  background-color: #dd4b39
}

.resp-sharing-button--google:hover {
  background-color: #c23321
}

.resp-sharing-button--linkedin {
  background-color: #0077b5
}

.resp-sharing-button--linkedin:hover {
  background-color: #046293
}

.resp-sharing-button--email {
  background-color: #777
}

.resp-sharing-button--email:hover {
  background-color: #5e5e5e
}

.resp-sharing-button--xing { 
  background-color: #1a7576
}

.resp-sharing-button--xing:hover {
  background-color: #114c4c
}

.resp-sharing-button--whatsapp {
  background-color: #25D366
}

.resp-sharing-button--whatsapp:hover {
  background-color: #1da851
}

.resp-sharing-button--hackernews {
background-color: #FF6600
}
.resp-sharing-button--hackernews:hover, .resp-sharing-button--hackernews:focus {   background-color: #FB6200 }

.resp-sharing-button--vk {
  background-color: #507299
}

.resp-sharing-button--vk:hover {
  background-color: #43648c
}

.resp-sharing-button--facebook {
  background-color: #3b5998;
  border-color: #3b5998;
}

.resp-sharing-button--facebook:hover,
.resp-sharing-button--facebook:active {
  background-color: #2d4373;
  border-color: #2d4373;
}

.resp-sharing-button--twitter {
  background-color: #55acee;
  border-color: #55acee;
}

.resp-sharing-button--twitter:hover,
.resp-sharing-button--twitter:active {
  background-color: #2795e9;
  border-color: #2795e9;
}

.resp-sharing-button--google {
  background-color: #dd4b39;
  border-color: #dd4b39;
}

.resp-sharing-button--google:hover,
.resp-sharing-button--google:active {
  background-color: #c23321;
  border-color: #c23321;
}

.resp-sharing-button--email {
  background-color: #777777;
  border-color: #777777;
}

.resp-sharing-button--email:hover,
.resp-sharing-button--email:active {
  background-color: #5e5e5e;
  border-color: #5e5e5e;
}

.resp-sharing-button--pinterest {
  background-color: #bd081c;
  border-color: #bd081c;
}

.resp-sharing-button--pinterest:hover,
.resp-sharing-button--pinterest:active {
  background-color: #8c0615;
  border-color: #8c0615;
}

.resp-sharing-button--linkedin {
  background-color: #0077b5;
  border-color: #0077b5;
}

.resp-sharing-button--linkedin:hover,
.resp-sharing-button--linkedin:active {
  background-color: #046293;
  border-color: #046293;
}

rulings,
decks,
crypt-cards,
lirary-cards{
    overflow-x: hidden !important;
    overflow-y: hidden !important;
}

@media (max-width: 1024px) {
    .card-content{
        max-height: calc(100vh - 120px); 
        max-height: calc((100vh - constant(safe-area-inset-top)) - 110px) !important;
        max-height: calc((100vh - env(safe-area-inset-top)) - 110px) !important;

        /*max-height: none !important; */
    }
    .mdl-layout__header{
        position: relative;
    }    

    .mdl-layout__content{
            /*-webkit-overflow-scrolling: unset;*/
    }
}

@media (min-width: 1024px) {

   .modal.find-cards{
     left: calc(-155px + 50%);
   }

  .modal .card-filter{
      _margin-left: -250px !important;
      background: white;
  }
    
  .modal .card-filter [name=settingsbutton]{
      display: none;
  }
 
  .modal.large {
        width: 854px !important;
        margin-left: -427px !important;
    }

/*
  card {
    min-height: px;
  }*/

  .card-text-fill {
    min-height: 323px;
  }


  .modal .card-header{
/*      margin-right: -310px;*/
  }

  
  .modal .card-filter-options {
      top: 0;
      right: -310px;
      display: block !important;
      z-index: 1;
  }
  .modal .card-content {
      background: white;
  }

  .modal._draw-cards {
     width: 910px;
     left: calc(-155px + 50%);
  }

  .modal.deck-versions {
     width: 910px;
     left: calc(-155px + 50%);
  }

  .card__done-button{
    display: none;
  }
}

@media (min-width: 1025px) {
    .modal.find-cards{
        left: calc(-100px + 50%);
    }
}

@media (max-height: 500px) {
    .dialog__content{
        margin-top: 10px;
        padding: 10px;
    }

    .swal2-icon {
        display: none !important; 
    }

    .dialog__content  section .mdl-card__supporting-text h4{
        margin-top: -10px;
        margin-bottom: 0;
    }

    .dialog__buttons{
        margin-bottom: -20px;
        margin-top: -20px;
    }
}


.scaling-svg-container {
     position: relative; 
     height: 0; 
     width: 100%; 
     padding: 0;
     padding-bottom: 25%; 
     /* override this inline for aspect ratio other than square */
}
.scaling-svg {
     position: absolute; 
     height: 100%; 
     width: 100%; 
     left: 0; 
     top: 0;
}

.bubble-container {
    display: inline-block;
    position: relative;
    width: 100%;
    _max-height: 70vh;
    vertical-align: top;
    overflow: hidden;
}
.bubble-content {
    display: inline-block;
    _position: absolute;
    top: 0;
    left: 0;
    max-height: 70vh;
}

.insights_details {
    pointer-events: none;
    position: absolute;
}

.insights_title {
    font-size: 24px;
    color: #444;
    /* position: absolute; */
    padding: 0;
    margin: -3px 0 11px -1px;
    letter-spacing: 0px;
    font-size: 24px;
    vertical-align: text-top;
    line-height: 18px;
}

.insights_text {

}
            .path-selector {
                font-size: 42px;
                display: flex;
                justify-content: space-between;

                margin-top: -10px;
            }
            .path-selector icon {
                flex-grow: 0;
                opacity: 0.2;
                z-index:0;
            }
            .path-selector icon:after,
            .path-selector icon:before{
                    margin-top: 10px;
            }
            .path-selector icon.active {
                opacity: 1;
            }
